# Get a report.

Allows to retrieve a specific DrillPlan report details using a report ID.   
To report details, the user must be a member of the project to which the report belongs.

Endpoint: GET /v2/projects/{projectId}/reports/{reportId}
Version: 2.1.0
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

## Path parameters:

  - `projectId` (string, required)
    Identifier of the project.

  - `reportId` (string, required)
    Identifier of the report.

## Query parameters:

  - `include` (array)
    Allows to include additional information to the response. Use 'chapters' to include information about report chapters.

## Header parameters:

  - `slb-data-partition-id` (string, required)
    Data partition ID.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string, required)
    The report ID.

  - `project_id` (string, required)
    The project ID.

  - `name` (string, required)
    The report name.

  - `template` (object, required)
    The report template.

  - `template.name` (string, required)
    The report template name.

  - `plan` (object, required)
    Reference to the plan associated with a report.

  - `plan.id` (string, required)
    The plan ID.

  - `last_update` (object)
    Represents information on the last successful report update.

  - `last_update.started` (string, required)
    The timestamp of the last successful update start.

  - `last_update.ended` (string, required)
    The timestamp of the last successful update end.

  - `audit_status` (string, required)
    The audit status.
    Enum: "InProgress", "InReview", "InApproval", "Completed", "Rejected"

  - `editor_link` (string, required)
    The location of the report in DrillPlan to view.

  - `chapters` (array)
    Report chapters.

  - `chapters.id` (integer, required)
    The chapter ID.

  - `chapters.parent_chapter_id` (integer)
    The parent chapter ID.

  - `chapters.name` (string, required)
    The chapter title.

  - `chapters.is_linked` (boolean, required)
    Defines if the chapter is linked.

  - `chapters.chapter_mapping` (object)
    The chapter mapping object.

  - `chapters.chapter_mapping.level_reference_type` (string, required)
    The type of the level reference.
    Enum: "Well", "Wellbore", "Section", "Activity"

  - `chapters.chapter_mapping.references` (array, required)
    The list of related level references. In the case of mapping to Well, the list contains a Wellbore node, which is Root/Default Wellbore.

  - `chapters.chapter_mapping.references.id` (string, required)
    The reference ID, corresponds node ID in the plan.

  - `chapters.problem` (object)
    Problem details according to RFC7807.

  - `chapters.problem.type` (string, required)
    A reference that uniquely identifies the problem type.

  - `chapters.problem.title` (string, required)
    A short, human-readable summary of the problem type.

  - `chapters.problem.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `chapters.problem.severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

  - `chapter_problems` (array)
    Chapter related problems.

  - `chapter_problems.chapter_id` (integer, required)
    XaitPorter document chapter ID.

  - `chapter_problems.chapter_title` (string)
    XaitPorter document chapter title.

## Response 401:

  - `401` (unknown)
    User is not authorized.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response 404:

  - `404` (unknown)
    Resource not found.

## Response 404 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response 500:

  - `500` (unknown)
    Internal server error.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response default:

  - `default` (unknown)
    Unexpected error.

## Response default fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

